function addIcon(appDesktop) {
  var w_icon = panel.addWidget("icon");
  w_icon.writeConfig("Url", "file://" + applicationPath(appDesktop));
}

var panel = new Panel;
if (panelIds.length == 1) {
    // we are the only panel, so set the location for the user
    panel.location = 'bottom';
}

panel.height = 40;

var w_simplelauncher = panel.addWidget("simplelauncher");
w_simplelauncher.writeConfig("icon", "mgabutton");
w_simplelauncher.writeConfig("format", "Name");
w_simplelauncher.writeConfig("showMenuTitles", "true");
w_simplelauncher.writeConfig("views", "RecentlyUsedApplications,Applications,Favorites,RecentlyUsed,RunCommand,Leave");
w_simplelauncher.reloadConfig();

panel.addWidget("showdesktop");
panel.addWidget("org.kde.showActivityManager");

addIcon("dolphin.desktop");
addIcon("systemsettings.desktop");
addIcon("mageia-drakconf.desktop");
addIcon("firefox.desktop");

panel.addWidget("pager");

panel.addWidget("tasks");

var w_systray = panel.addWidget("systemtray");

var w_clock = panel.addWidget("digital-clock");
w_clock.writeConfig("displayHolidays","false");
w_clock.writeConfig("displayEvents","false");
w_clock.reloadConfig();

panel.addWidget("lockout");

var biggestId = 0;
var tmpBiggestId = 0;

for (var i in activityIds) {
    var activity = activityById(activityIds[i]);
    if (activity.widgetIds.length > 0) {
        tmpBiggestId = Math.max.apply(null, activity.widgetIds);
        if (tmpBiggestId > biggestId) {
            biggestId = tmpBiggestId;
        }
    }
}

for (var i in panelIds) {
    var panel = panelById(panelIds[i]);
    if (panel.widgetIds.length > 0) {
        tmpBiggestId = Math.max.apply(null, panel.widgetIds);
        if (tmpBiggestId > biggestId) {
            biggestId = tmpBiggestId;
        }
    }
}

for (var availableWidget in knownWidgetTypes) {
    if (knownWidgetTypes[availableWidget] === "org.kde.ktp-presence") {
        w_systray.currentConfigGroup = new Array('Applets', biggestId+1);
        w_systray.writeConfig('plugin', 'org.kde.ktp-presence');
        w_systray.currentConfigGroup = new Array();
        w_systray.reloadConfig();
        break;
    }
}

sleep(10);
